#include "xdynentitycoll.h"

XDynEntityColl::XDynEntityColl()
    : XAsset()
    , mSector(0)
    , mNextEntInSector(0)
    , mLinkMins()
    , mLinkMaxs()
{
    
}

XDynEntityColl::~XDynEntityColl()
{
    
}

void XDynEntityColl::ParseData(QDataStream *aStream)
{

    if (GetPtr())
    {
        *aStream
            >> mSector
            >> mNextEntInSector
            >> mLinkMins[0]
            >> mLinkMins[1]
            >> mLinkMaxs[0]
            >> mLinkMaxs[1];
    }
}

void XDynEntityColl::Clear()
{
    mSector = 0;
    mNextEntInSector = 0;
    mLinkMins = QVector2D();
    mLinkMaxs = QVector2D();
}
